Subject: emacs lockup w/ TERM = linux
From: David Starks-Browning <[email-masked]>
To: Bill Priest <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Nov 2002 22:32:25 +0000

On Friday 15 Nov 02, Bill Priest writes:
> All,
>     Another piece of the puzzle.
> 
> if TERM = linux inside rxvt (windows version) then
> emacs hangs while loading the lisp files; status line
> freezes on "Loading international/mule-cmds..."

OK, there is indeed something wierd going on with TERM=linux.  Not as
you describe, but the screen fills with ;2cl; (or something like that)
and C-x C-c doesn't work.  I can't attach with strace.  This is Win98.

I have no problems with TERM=cygwin or TERM=vt200, for example:

TERM=cygwin emacs-nox -q
TERM=vt200 emacs-nox -q

But the default for rxvt is "xterm".  Why are you using "linux"?  Have
you tried using the default "xterm"?

> if TERM = cygwin inside rxvt (windows version) then
> emacs displays the first character on the far right.
> 
> if TERM = vt200 inside rxvt (windows version) then
> emacs works correctly.
> 
> TERM = linux used to work (I've been using it this way
> since Joe put up the first version).

Regards,
David

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/